#!/bin/csh -f

#------------------------------------------------------------------------------------
# For now, set streams manually. You must only set as many streams as are declared
#  in the tavg_nml section. For example, if there are three streams:
#  @ s1 = $my_stream
#  @ s2 = $s1 + 1
#  @ s3 = $s2 + 1
#------------------------------------------------------------------------------------

@ my_stream = $1
if ($my_stream < 1) then
   echo invalid my_stream number $my_stream
   exit 5
endif

@ s1 = 1   # use base-model stream 1

cat >! $CASEROOT/Buildconf/pop2conf/eco_path_tavg_contents << EOF
$s1  eco_Pa
$s1  eco_Th
$s1  eco_PA_D
$s1  eco_PA_P
$s1  eco_TH_D
$s1  eco_TH_P
$s1  eco_POC_flux_path
$s1  eco_calcite_flux_path
$s1  eco_OPAL_flux_path
$s1  eco_dust_flux_path
$s1  beta_pa

EOF


#$s1  ND143_SOURCE
#$s1  ND143_SINK
#$s1  ND144_SOURCE
#$s1  ND144_SINK
#$s1  MARGIN_SOURCE
#$s1  MARGIN_SOURCE143
#$s1  MARGIN_SOURCE144



#  disable the following until they are computed correctly
#  IAGE_SQR 
#  UE_IAGE
#  VN_IAGE
#  WT_IAGE
#  ADV_IAGE
#  J_IAGE
#  Jint_IAGE
#  STF_IAGE
#  RESID_IAGE
#  FvPER_IAGE
#  FvICE_IAGE

